FET Time Now
FET is the abbreviation of Further-eastern European Time. Time zone offset of FET is UTC+03. Further-eastern European Time is 3 hours ahead from the UTC universal time. FET current date is 7th Wednesday October 2026. Current time in FET (FET).
FET Time
11:55:15
7 October 2026 Wednesday
FET was established in autumn 2014 and is used at limited territory, which includes the country of Belarus and the westernmost province of Russia, Kaliningrad province. Further-eastern European Time is 3 hours ahead of the UTC universal time, and it is exactly the same as USZ1, or Kaliningrad Time.
What time is it in Further-eastern European Time now? It is 11:55:15 right now.
Further-eastern European Time Date and Time Now in Various Formats
| Date Time Format | FET Date Time Now |
|---|---|
| UTC | 2026-10-07T11:55:15Z |
| ISO-8601 | 2026-10-07T11:55:15+0000 |
| RFC 2822 | Wed, 07 Oct 2026 11:55:15 +0000 |
| RFC 850 | Wednesday, 07-Oct-26 11:55:15 UTC |
| RFC 1036 | Wed, 07 Oct 26 11:55:15 +0000 |
| RFC 1123 | Wed, 07 Oct 2026 11:55:15 +0000 |
| RFC 822 | Wed, 07 Oct 26 11:55:15 +0000 |
| RFC 3339 | 2026-10-07T11:55:15+00:00 |
| ATOM | 2026-10-07T11:55:15+00:00 |
| COOKIE | Wednesday, 07-Oct-2026 11:55:15 UTC |
| RSS | Wed, 07 Oct 2026 11:55:15 +0000 |
| W3C | 2026-10-07T11:55:15+00:00 |
| Unix Epoch | 1791374115 |
| YYYY-DD-MM HH:MM:SS | 2026-07-10 11:55:15 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-07-10 11:55:15 AM |
| DD-MM-YYYY HH:MM:SS | 07-10-2026 11:55:15 |
| MM-DD-YYYY HH:MM:SS | 10-07-2026 11:55:15 |